Subject: bug#875: closed (Re: bug#875: 23.0.60; Can't select bitstream vera sans mono as (default) font)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2011 02:16:01 +0000

Your bug report

#875: 23.0.60; Can't select bitstream vera sans mono as (default) font

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
875: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=875
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#875: 23.0.60; Can't select bitstream vera sans mono as (default) font
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jul 2011 22:15:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug is being closed because it could not be reproduced and there
was no response to a request for more information.
If you reply with the requested information it can be reopened if needed.

You can view the whole report at http://debbugs.gnu.org/BUGNUMBER

Chong Yidong wrote:

> Could you be more specific?  For instance, when I click on Options->Set
> Default Font, I can select "Bitstream Vera Sans Mono" in the GTK dialog
> that pops up; selecting this causes the Emacs font to change, as
> expected.
>
> Similarly, a line
>
> Emacs.Font: Bitstream Vera Sans Mono 9
>
> in ~/.Xresources also does the right thing: Emacs starts up with
> Bitstream Vera Sans Mono 9 as the default font.
>
> Please provide a more detailed recipe for reproducing this problem.

>From [email-masked] Wed Sep  3 09:33:35 2008
To: [email-masked]
CC: [email-masked]
Subject: 23.0.60; Can't select bitstream vera sans mono as (default) font
Date: Wed,  3 Sep 2008 18:32:52 +0200 (CEST)
From: [email-masked] (M G Berberich)

I just installed the 20080727 emacs-snapshot and are not able to
select "Vera Sans Mono-9" as font. In older versions this was possible
via X-Resource, no emacs has a GUI to select the font, but It ignores
the selection.

In GNU Emacs 23.0.60.1 (x86_64-pc-linux-gnu, GTK+ Version 2.8.20)
 of 2008-09-03 on luthien, modified by Debian
 (emacs-snapshot package, version 1:20080727-1)
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
configured using `configure  '--build' 'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.60/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.60/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  msb-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
M-x r e p o <tab> <tab> r t <tab> <return>

Recent messages:
Loading /usr/share/emacs-snapshot/site-lisp/muse-el/muse-autoloads.el (source)...done
Loading /etc/emacs/site-start.d/50muse-el.el (source)...done
Loading /etc/emacs/site-start.d/50octave2.9-emacsen.el (source)...done
Loading /etc/emacs/site-start.d/50post-el.el (source)...done
Loading /etc/emacs/site-start.d/50psvn.el (source)...done
Loading /etc/emacs/site-start.d/50sawfish.el (source)...done
Loading msb...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
call-interactively: Text is read-only